Bug 1460512 - Useless log about removed luns is printed although no luns were removed
Useless log about removed luns is printed although no luns were removed
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.1.3
: 4.1.3.3
Assigned To: Idan Shaby
Kevin Alon Goldblatt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-11 11:31 EDT by Idan Shaby
Modified: 2017-07-06 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 09:35:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78064 master MERGED backend: fix log with empty removed luns list 2017-06-11 12:53 EDT
oVirt gerrit 78069 ovirt-engine-4.1 MERGED backend: fix log with empty removed luns list 2017-06-12 04:07 EDT

  None (edit)
Description Idan Shaby 2017-06-11 11:31:02 EDT
Description of problem:
When synchronizing a storage domain, the following log is printed: "Removed LUNs, IDs ''" (with an empty list of luns' IDs).

Version-Release number of selected component (if applicable):
c86d08a6dabbfc83952370e347e266917778068e

How reproducible:
100%

Steps to Reproduce:
1. Activate a block domain that was previously on maintenance.
2. Watch the log and see that as a part of the execution of SyncLunsInfoForBlockStorageDomainCommand, the useless log is printed.

Actual results:
"Removed LUNs, IDs ''"

Expected results:
No log about removed luns should be printed when no luns were removed.
Comment 1 Allon Mureinik 2017-06-11 11:36:30 EDT
Low hanging fruit in a new feature - let's backport this to 4.1.z too please.
Comment 2 Allon Mureinik 2017-06-20 06:02:02 EDT
This patch is included in the ovirt-engine-4.1.3.3 tag.
Comment 3 Kevin Alon Goldblatt 2017-06-20 11:51:58 EDT
Verified with the following code:
------------------------------------
ovirt-engine-4.1.3.4-0.1.el7.noarch
rhevm-4.1.3.4-0.1.el7.noarch
vdsm-4.19.19-1.el7ev

Steps to Reproduce:
-----------------------
1. Activate a block domain that was previously on maintenance.
2. Watch the log and see that as a part of the execution of SyncLunsInfoForBlockStorageDomainCommand, the useless log is printed.

Actual results:
No log about removed luns should be printed when no luns were removed.


Moving to VERIFIED!

Note You need to log in before you can comment on or make changes to this bug.